<template>
    <div>
        <!-- <button onclick="document.getElementByID('notShown').style.display = 'block'" type="button" class="btn btn-primary m-4">Teilnehmer hinzufügen</button> -->

        <div>
            <div class="container">
                <div class="form-group">
                    <form @submit="postTeilnehmer" method="post">
                        <input type="text" name="name" id="" placeholder="Name" v-model="teilnehmer.name"
                            class="form-control"> <br>
                        <input type="text" name="email" id="" placeholder="E-Mail" v-model="teilnehmer.eMailAdresse"
                            class="form-control"> <br>
                        <input type="text" name="adresse" id="" placeholder="Adresse" v-model="teilnehmer.adresse"
                            class="form-control"> <br>
                        <input type="text" name="telnummer" id="" placeholder="Tel-Nummer"
                            v-model="teilnehmer.telNummer" class="form-control"> <br>
                        <input type="text" name="startdatum" id="" placeholder="StartDatum"
                            v-model="teilnehmer.startDatum" class="form-control"> <br>
                        <input type="text" name="enddatum" id="" placeholder="EndDatum" v-model="teilnehmer.endDatum"
                            class="form-control"> <br>
                        <input type="text" name="gruppeid" id="" placeholder="Gruppen ID"
                            v-model.number="teilnehmer.gruppeId" class="form-control"> <br>
                        <button type="submit" class="btn container-fluid btn-info"
                            @click="changeDisplayStyleHide()">Speichern</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'PutTeilnehmer',
    data() {
        return {


            teilnehmer: {
                name: null,
                eMailAdresse: null,
                adresse: null,
                telNummer: null,
                startDatum: null,
                endDatum: null,
                gruppeId: ''
            }
        }
    },


    methods: {
        postTeilnehmer(e) {
            console.log(this.teilnehmer)
            const response = this.$store.dispatch('postTeilnehmer', this.teilnehmer)
                .then((result) => {
                    console.log(result)
                    console.log(response)
                })
            e.preventDefault()

        },
        changeDisplayStyleShow: function () {
            this.$refs.notShown.style.display = "block";
        },
        changeDisplayStyleHide: function () {
            this.$refs.notShown.style.display = "none";
        }
    }
}
</script>

<style>
</style>

 